<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1kernel_1_1_matern52.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::kernel::Matern52&lt; T, V &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmelon_1_1kernel_1_1_matern52.html">melon::kernel::Matern52&lt; T, V &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#afd32a89a7eeff017e7c811c4c4a3a64e">_data</a></td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a85fac54714c648155ccb76ca58b140dc">_euclidian_distance</a>(RET quadraticDistance)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a23dc40f992932497afc16a00f20f2e77">_quadratic_distance</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2) override</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html#a0858a9caccf0a87cd283504d80cc5fea">calculate_distance</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">melon::kernel::Matern52&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html#afa52e2e7fcf02852db995e5570303609">evaluate_kernel</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">melon::kernel::Matern52&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html#a3f75446eb7f7b7a8dd79fb0c62b0f6c6">evaluate_kernel</a>(RET distance)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">melon::kernel::Matern52&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a949e9259d57135cf1dbb1b8c8fa2bd2f">Matern</a>()</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html#a124b4208b37454e64970269ab06c40b9">Matern</a>(std::shared_ptr&lt; const KernelData &gt; data)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> typedef</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">~Kernel</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
